@charset "UTF-8";

/* [corr-style.css] 添削管理システム スタイルシート

   Browser compatible: Internet Explorer 8 +
 */

body {
	margin: 0px;
	padding: 0px;
	font-family: 'ＭＳ Ｐゴシック','Osaka','ヒラギノ角ゴ Pro W3',sans-serif;
}

.header {
	width: 100%;
	height: 45px;
	margin: 0px;
	padding: 0px;
	background-color: #AFEEEE;
}

.footer {
	width: 100%;
	height: 45px;
	margin: 0px;
	padding: 0px;
}

* html hr.footer_line {
	width: 100%;
	size: 3px;
	color: #AFEEEE;
}

.login_name {
	font-size: 15px;
	font-weight: bold;
	color: black;
	float: left;
	margin-left: 20px;
	line-height: 110%;
	margin-top: 15px;
	padding-top: 0px;
	padding-right: 0px;
	padding-bottom: 0px;
}

.disp_title {
	font-size: 20px;
	font-weight: bold;
	color: black;
	margin-left: 20px;
	margin-top: 15px;
	padding-top: 0px;
	padding-right: 0px;
	padding-bottom: 0px;
}

div.allocation_button {
	margin: 0.25em;
}

div.savecorrtime_button {
	margin: 0.25em;
}

input.corrtargettime {
	text-align: center;
}

.table_title {
	font-size: 10pt;
	color: #000000;
	background-color: #C5D8ED;
	padding: 2px;
	white-space: nowrap;
	border-top: 2px solid #7AA3CC;
	border-bottom: 0px solid #7AA3CC;
	border-left: 2px solid #7AA3CC;
	border-right: 1px solid #7AA3CC;
}

.table_title_m {
	font-size: 10pt;
	color: #000000;
	font-weight: bold;
	text-align: center;
	background-color: #C5D8ED;
	padding: 2px;
	white-space: nowrap;
}

.table_title_l {
	font-size: 10pt;
	color: #000000;
	font-weight: bold;
	text-align: left;
	background-color: #C5D8ED;
	padding: 2px;
	white-space: nowrap;
}

.table-sell {
	font-size: 12pt;
	color: #000000;
	background-color: #FFFFFF;
	padding: 2px;
	white-space: nowrap;
	word-break: break-all;
}

.table-sell_m {
	font-size: 12pt;
	color: #000000;
	background-color: #FFFFFF;
	padding: 2px;
	text-align: center;
	white-space: nowrap;
	word-break: break-all;
}

.table-sell-no-bg {
	font-size: 12pt;
	color: #000000;
	padding: 2px;
	white-space: nowrap;
	word-break: break-all;
}

/* 今週添削する答案 */
.correction-this-week {
	font-size: 12pt;
	color: #000000;
	background-color: #ffcc00;
	padding: 2px;
	white-space: nowrap;
	word-break: break-all;
}

/* 来週添削する答案 */
.correction-next-week {
	font-size: 12pt;
	color: #000000;
	background-color: #99ccff;
	padding: 2px;
	white-space: nowrap;
	word-break: break-all;
}

/* 備考のセル */
.remarks-cell {
	white-space: normal;
	min-width: 30em;
	max-width: 40em;
}

/* IMEを常駐（切り替え可能） */
.input-active {ime-mode: active;}

/* IMEを非常駐（切り替え可能） */
.input-inactive {ime-mode:inactive;}

/* IMEを使用不可（切り替え不可能） */
.input-disabled {ime-mode:disabled;}

/* 非活性 */
.disabled-color {background-color: #dddddd;}

/* 数字右寄せ */
.num {text-align: right; padding:1px; ime-mode:disabled;}

.button-2lines {
	height: 36px;
	vertical-align: top;
}

/* エラーメッセージ */
.errorMessage {font-weight:bold; color:red; }

/* 添削者フリー */
.corrector-free {
	color: #0033ff;
	font-weight: bold;
}
.corrector-free-already-assigned {
}
.corrector-already-assigned {
}

.actual-validity-period-box {
	margin-bottom: .25em;
	font-size: 10pt;
}

table tbody tr td.align-center,
table tbody tr th.align-center {
	text-align: center
}
table tbody tr td.align-right {
	text-align: right;
}

table.assign-corrector-manage-table,
table.confirm-assigned-courses-table {
	border-collapse: collapse;
	border-bottom-width: 0;
	border-left-width: 0;
	border-right-width: 0;
}
table.assign-corrector-manage-table thead tr th,
table.confirm-assigned-courses-table thead tr th {
	font-size: 10pt;
	color: #000000;
	font-weight: bold;
	text-align: center;
	background-color: #C5D8ED;
	padding: .25em;
	white-space: nowrap;
}
table.assign-corrector-manage-table tbody tr td,
table.confirm-assigned-courses-table tbody tr td {
	font-size: 12pt;
	color: #000000;
	background-color: #FFFFFF;
	padding: .25em;
	white-space: nowrap;
	word-break: break-all;
}
table.assign-corrector-manage-table tbody.table-desc tr td {
	border: none;
}
table.assign-corrector-manage-table tbody.table-desc tr td.correction-unassigned-sum {
	background: #f00;
	color: #fff;
}
div.corrector-desc {
	margin-bottom: 1em;
}
table.confirm-assigned-courses-table tbody tr:has(input[type="checkbox"]:checked) td {
	color: #f00;
	text-decoration: underline;
}
